Install OMV4 under Debian 10

  • Hi,


    Since OMV5 is still under development, I would like to install OMV4 under Debian 10. My Debian 9 installation with OMV4 just died. (At least the GUI does not work anymore)
    Following the install guide for "OMV4 under Debian 9" installation of OMV4 under Debian 10 fails due to unavailability of packages (f.e. monit)
    Is there a guide available on how to install OMV4 under Debian 10?
    If not I'll install OMV4 under Debian 9 again.


    Thanks.


  • You can install it.


    Maybe what ryecooaron meant was 'you shouldn't'. There's a lot to tweak to get it installed.


    ps: monit is available at buster-backports

    OMV 4.1 on Debian 10 @ HP Microserver gen8 [2x 256GB SSD ZFS mirror on root + 3x 8TB ZFS raidz1 pool]

    Edited once, last by diego ().

  • You can install it.


    Maybe what ryecooaron meant was 'you shouldn't'. There's a lot to tweak to get it installed.

    Yes, I know it is possible. Hell, it works on Ubuntu as well with enough "tweaks". But, I left my answer short for a reason. Let me put a huge emphasis on "you shouldn't". Not everything does the right thing especially when it uses the release name to get a repo. So, let just keep it at "You can't". If we have people start creating frankensteins like this, I am done supporting any installs.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!